package sillysagiri;

import javax.microedition.lcdui.Graphics;

public abstract class Scene {
  protected Sagiri sagiri;
  public boolean preloaded = false;

  public Scene()
  {
    if (Sagiri._instance != null)
      sagiri = Sagiri._instance;
  }

  // override this
  public abstract void Preload();
  public abstract void Destroy();
  public abstract void Update(long dt, Graphics g);

}
